## golang-github-casbin-casbin 2.77.2

=== Makefile ===
SHELL = /bin/bash
export PATH := $(shell yarn global bin):$(PATH)

default: lint test

test:
	go test -race -v ./...

benchmark:
	go test -bench=.

lint:
	golangci-lint run --verbose

release:
	yarn global add semantic-release@17.2.4
	semantic-release

## golang-github-casbin-casbin 2.60.0

=== debian/changelog ===
golang-github-casbin-casbin (2.60.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version in d/control (no changes needed)

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 17 Dec 2022 17:32:49 +0000

golang-github-casbin-casbin (2.58.0-1) unstable; urgency=medium

  * New upstream release
  * Remove override_dh_fixperms from d/rules; fixed upstream

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 03 Dec 2022 13:59:43 +0000

golang-github-casbin-casbin (2.57.0-1) unstable; urgency=medium

  * Initial release (Closes: #1024583)

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 23 Nov 2022 23:28:35 +0000

=== debian/control ===
Source: golang-github-casbin-casbin
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Mathias Gibbens <gibmat@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-golang-mock-dev,
               golang-github-knetic-govaluate-dev (>= 3.0.0+git20171022.9aa4983)
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-casbin-casbin
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-casbin-casbin.git
Homepage: https://github.com/casbin/casbin
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/casbin/casbin

Package: golang-github-casbin-casbin-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-golang-mock-dev,
         golang-github-knetic-govaluate-dev (>= 3.0.0+git20171022.9aa4983),
         ${misc:Depends}
Description: Authorization library that supports access control models like ACL, RBAC, ABAC
 Casbin is a powerful and efficient open-source access control library
 for Golang projects. It provides support for enforcing authorization
 based on various access control models.

## golang-github-casbin-casbin 2.72.1

=== debian/changelog ===
golang-github-casbin-casbin (2.72.1-1) unstable; urgency=medium

  * New upstream release
  * Update Build-Depends and Depends in d/control
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 21 Jul 2023 14:39:10 +0000

## golang-github-casbin-casbin 2.77.2

=== debian/changelog ===
golang-github-casbin-casbin (2.77.2-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 22 Sep 2023 17:41:00 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
                dh-golang,
                golang-any,
                golang-github-golang-mock-dev,
-               golang-github-knetic-govaluate-dev (>= 3.0.0+git20171022.9aa4983)
+               golang-github-knetic-govaluate-dev (>= 3.0.0+git20171022.9aa4983),
+               golang-github-tidwall-gjson-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-casbin-casbin
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-casbin-casbin.git
@@ -21,6 +22,7 @@
 Multi-Arch: foreign
 Depends: golang-github-golang-mock-dev,
          golang-github-knetic-govaluate-dev (>= 3.0.0+git20171022.9aa4983),
+         golang-github-tidwall-gjson-dev,
          ${misc:Depends}
 Description: Authorization library that supports access control models like ACL, RBAC, ABAC
  Casbin is a powerful and efficient open-source access control library

## golang-github-casbin-casbin 2.82.0

=== debian/changelog ===
golang-github-casbin-casbin (2.82.0-1) unstable; urgency=medium

  * New upstream release
  * Update Build-Depends and Depends in d/control
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 16 Feb 2024 23:04:37 +0000

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-github-golang-mock-dev,
-               golang-github-knetic-govaluate-dev (>= 3.0.0+git20171022.9aa4983),
-               golang-github-tidwall-gjson-dev
+               golang-github-casbin-govaluate-dev,
+               golang-github-golang-mock-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-casbin-casbin
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-casbin-casbin.git
@@ -20,9 +19,8 @@
 Package: golang-github-casbin-casbin-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-github-golang-mock-dev,
-         golang-github-knetic-govaluate-dev (>= 3.0.0+git20171022.9aa4983),
-         golang-github-tidwall-gjson-dev,
+Depends: golang-github-casbin-govaluate-dev,
+         golang-github-golang-mock-dev,
          ${misc:Depends}
 Description: Authorization library that supports access control models like ACL, RBAC, ABAC
  Casbin is a powerful and efficient open-source access control library

## golang-github-casbin-casbin 2.97.0

=== debian/changelog ===
golang-github-casbin-casbin (2.97.0-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 19 Jun 2024 18:23:29 +0000

golang-github-casbin-casbin (2.89.0-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 24 May 2024 20:22:10 +0000

golang-github-casbin-casbin (2.87.1-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.0 in d/control (no changes needed)

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 14 Apr 2024 19:23:35 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                golang-any,
                golang-github-casbin-govaluate-dev,
                golang-github-golang-mock-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-casbin-casbin
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-casbin-casbin.git
 Homepage: https://github.com/casbin/casbin

## golang-github-casbin-casbin 2.100.0

=== debian/changelog ===
golang-github-casbin-casbin (2.100.0-1) unstable; urgency=medium

  * New upstream release
    - Update Build-Depends and Depends

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 04 Oct 2024 00:15:57 +0000

## golang-github-casbin-casbin 2.103.0

=== debian/changelog ===
golang-github-casbin-casbin (2.103.0-1) unstable; urgency=medium

  * New upstream release
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 12 Jan 2025 15:47:45 +0000

golang-github-casbin-casbin (2.102.0-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 05 Dec 2024 00:27:24 +0000

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
+               golang-github-bmatcuk-doublestar-dev,
                golang-github-casbin-govaluate-dev,
                golang-github-golang-mock-dev
 Standards-Version: 4.7.0
@@ -19,7 +20,8 @@
 Package: golang-github-casbin-casbin-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-github-casbin-govaluate-dev,
+Depends: golang-github-bmatcuk-doublestar-dev,
+         golang-github-casbin-govaluate-dev,
          golang-github-golang-mock-dev,
          ${misc:Depends}
 Description: Authorization library that supports access control models like ACL, RBAC, ABAC

## golang-github-casbin-casbin 2.104.0

=== debian/changelog ===
golang-github-casbin-casbin (2.104.0-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.2 in d/control (no changes needed)

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 21 Mar 2025 12:26:56 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                golang-github-bmatcuk-doublestar-dev,
                golang-github-casbin-govaluate-dev,
                golang-github-golang-mock-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-casbin-casbin
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-casbin-casbin.git
 Homepage: https://github.com/casbin/casbin

## golang-github-casbin-casbin 2.121.0

=== debian/changelog ===
golang-github-casbin-casbin (2.121.0-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 01 Sep 2025 19:09:59 +0000

## golang-github-casbin-casbin 2.127.0

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,4 @@
 	golangci-lint run --verbose
 
 release:
-	yarn global add semantic-release@17.2.4
-	semantic-release
-
+	npx semantic-release@v19.0.2

=== debian/changelog ===
golang-github-casbin-casbin (2.127.0-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    - Update Build-Depends and Depends
    - Drop redundant Rules-Requires-Root

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 29 Sep 2025 18:11:30 +0000

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
                golang-any,
                golang-github-bmatcuk-doublestar-dev,
                golang-github-casbin-govaluate-dev,
-               golang-github-golang-mock-dev
+               golang-github-golang-mock-dev,
+               golang-github-google-uuid-dev
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-casbin-casbin
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-casbin-casbin.git
 Homepage: https://github.com/casbin/casbin
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/casbin/casbin
 
 Package: golang-github-casbin-casbin-dev
@@ -23,6 +23,7 @@
 Depends: golang-github-bmatcuk-doublestar-dev,
          golang-github-casbin-govaluate-dev,
          golang-github-golang-mock-dev,
+         golang-github-google-uuid-dev,
          ${misc:Depends}
 Description: Authorization library that supports access control models like ACL, RBAC, ABAC
  Casbin is a powerful and efficient open-source access control library

=== debian/rules ===
#!/usr/bin/make -f

# Several tests use the various example files
export DH_GOLANG_INSTALL_EXTRA := examples/

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/casbin/casbin/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-casbin-casbin 2.132.0

=== debian/changelog ===
golang-github-casbin-casbin (2.132.0-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 09 Nov 2025 01:01:52 +0000

## golang-github-casbin-casbin 3.1.0

=== debian/changelog ===
golang-github-casbin-casbin (3.1.0-1) unstable; urgency=medium

  * New upstream release
    - Add Breaks for golang-github-go-kit-kit-dev

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 15 Dec 2025 19:34:02 +0000

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
 Package: golang-github-casbin-casbin-dev
 Architecture: all
 Multi-Arch: foreign
+Breaks: golang-github-go-kit-kit-dev (<= 0.13.0-8)
 Depends: golang-github-bmatcuk-doublestar-dev,
          golang-github-casbin-govaluate-dev,
          golang-github-golang-mock-dev,

## golang-github-casbin-casbin 3.4.1

=== debian/changelog ===
golang-github-casbin-casbin (3.4.1-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    - Update Standards-Version to 4.7.3, drop Priority field

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 27 Dec 2025 16:57:49 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Mathias Gibbens <gibmat@debian.org>
 Section: golang
 Testsuite: autopkgtest-pkg-go
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
@@ -11,7 +10,7 @@
                golang-github-casbin-govaluate-dev,
                golang-github-golang-mock-dev,
                golang-github-google-uuid-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-casbin-casbin
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-casbin-casbin.git
 Homepage: https://github.com/casbin/casbin

## golang-github-casbin-casbin 3.10.0

=== debian/changelog ===
golang-github-casbin-casbin (3.10.0-1) unstable; urgency=medium

  * New upstream release
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 22 Feb 2026 15:38:29 +0000
